# Copyright (c) 2000-2012, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

# FIXME: (dwalluck): disabling this option breaks the build
%bcond_without jts
%bcond_without repolib
%bcond_with ws

# Dont forget to update jbossts-build.patch as well
%define reltag  .Final-redhat-1
%define brewreltag .Final_redhat_1
%define patchtag %{nil}
%define namedversion %{version}%{reltag}%{patchtag}
%define fulltag JBOSSTS_4_16_4_Final

Name:           jbossts
Version:        4.16.4
Release:        2%{brewreltag}%{?dist}
Epoch:          1
Summary:        JBoss Transaction Service
License:        LGPLv2+
Group:          Development/Java
URL:            http://labs.jboss.com/jbosstm/
# svn export https://anonsvn.jboss.org/repos/labs/labs/jbosstm/tags/JBOSSTS_4_16_4_Final/
# Exported revision 38068.
# tar czf jbossts-4.16.4.Final-src.tar.gz JBOSSTS_4_16_4_Final
# Note: update Version in jbossts-build.patch as well
Source0:        jbossts-%{version}.Final-src.tar.gz
Source1:        jbossts-component-info.xml
Source2:        %{name}-settings.xml
Source3:	%{name}-jpp-depmap.xml
# Source 9-21 are needed for 4.16.0 and not found in MEAD repository
Source9:        https://repository.jboss.org/nexus/content/groups/public-jboss/org/jboss/integration/jboss-corba-ots-spi/6.0.0.CR1/jboss-corba-ots-spi-6.0.0.CR1.jar
Source10:        https://repository.jboss.org/nexus/content/groups/public-jboss/org/jboss/jbossas/jboss-server-manager/1.0.4.Final/jboss-server-manager-1.0.4.Final.jar
Source16:	https://repository.jboss.org/nexus/content/groups/public-jboss/org/jboss/integration/jboss-corba-ots-spi/6.0.0.CR1/jboss-corba-ots-spi-6.0.0.CR1.pom
Source17:	https://repository.jboss.org/nexus/content/groups/public-jboss/org/jboss/jbossas/jboss-server-manager/1.0.4.Final/jboss-server-manager-1.0.4.Final.pom
Source18:	https://repository.jboss.org/nexus/content/groups/public-jboss/org/jboss/integration/jboss-integration-parent/6.0.0.CR1/jboss-integration-parent-6.0.0.CR1.pom
## FIXME jboss-profiler is an EAP5 dependency. Should be removed, but is needed
# to build some tests.
Source20:       http://download.devel.redhat.com/brewroot/packages/jboss-profiler/1.0.0/0.1.CR5.8.ep5.el6/maven/jboss/profiler/jvmti/jboss-profiler-jvmti/1.0.0.CR5/jboss-profiler-jvmti-1.0.0.CR5.jar
Source21:       http://download.devel.redhat.com/brewroot/packages/jboss-profiler/1.0.0/0.1.CR5.8.ep5.el6/maven/jboss/profiler/jvmti/jboss-profiler-jvmti/1.0.0.CR5/jboss-profiler-jvmti-1.0.0.CR5.pom

Patch0:         jbossts-build.patch
Patch1:         jbossts-disable-tests.patch
##Patch2:         jbossts-pom.patch
##Patch3:         jbossts-ant-contrib.patch
Patch4:         jbossts-vman.patch
Patch5:        jbossts-maven-build.patch
Patch6:        %{name}-arjuna-build.patch
Patch8:        %{name}-maven-pom.patch
Patch9:        %{name}-qa.patch
# Patch11 skip build of -tests jars, now mavenized, depend on Arquillian
Patch11:        txbridge_build.patch

Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildRequires:  jpackage-utils >= 0:1.6
BuildRequires:  ant >= 0:1.6
BuildRequires:  ant-contrib
BuildRequires:  ant-junit
BuildRequires:  ant-nodeps
BuildRequires:  ant-trax
BuildRequires:  byteman
BuildRequires:  concurrent
BuildRequires:  glassfish-jaxb
BuildRequires:  jakarta-commons-logging
# FIXME: (dwalluck): circular dependency
#BuildRequires:  jbossas
#BuildRequires:  jboss-integration
BuildRequires:  dom4j
BuildRequires:  emma
BuildRequires:  hibernate4-core
BuildRequires:  hibernate-jpa-2.0-api
BuildRequires:  hornetq
BuildRequires:  ironjacamar
BuildRequires:  jacorb-jboss
BuildRequires:  jboss-component-management
Buildrequires:  jboss-connector-api_1.6_spec
BuildRequires:  jboss-ejb-api_3.1_spec
BuildRequires:  jboss-logging
BuildRequires:  jboss-logging-tools
BuildRequires:  jboss-logmanager
BuildRequires:  jboss-naming
BuildRequires:  jboss-parent
##BuildRequires:  jboss-profiler
BuildRequires:  jboss-remoting3
BuildRequires:  jboss-servlet-api_3.0_spec
BuildRequires:  jboss-transaction-api_1.1_spec
BuildRequires:  jboss-transaction-spi
BuildRequires:  jbossws-api
BuildRequires:  jbossws-parent
BuildRequires:  jboss-xnio-base
BuildRequires:  jcommon
BuildRequires:  jfreechart
BuildRequires:  junit
BuildRequires:  netty
BuildRequires:  picketbox
BuildRequires:  tanukiwrapper
BuildRequires:  j2ee-connector
# For testing (localjunit)
BuildRequires:  jakarta-commons-codec
BuildRequires:  jakarta-commons-httpclient
BuildRequires:  jakarta-commons-logging
BuildRequires:  log4j
# Maven is just used to deploy artifacts
BuildRequires:  maven2
BuildRequires:  maven2-plugin-deploy
# Maven BRs below used for maven:package
BuildRequires:  maven-clean-plugin
BuildRequires:  maven-compiler-plugin
BuildRequires:  maven-dependency-plugin
BuildRequires:  maven-install-plugin
BuildRequires:  maven-jar-plugin
BuildRequires:  maven-javadoc-plugin
BuildRequires:  maven-resources-plugin
BuildRequires:  maven-shared-reporting-impl
BuildRequires:  maven-source-plugin
BuildRequires:  maven-surefire-plugin
BuildRequires:  msv
BuildRequires:  mx4j
%if %with jts
BuildRequires:  antlr
BuildRequires:  avalon-framework
BuildRequires:  avalon-logkit
BuildRequires:  jacorb-jboss
%endif
%if %with ws
BuildRequires:  bea-stax
BuildRequires:  jaxrpc
BuildRequires:  saaj
BuildRequires:  wstx
%endif

BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Reliable Java and Web Services transaction management.
Includes Arjuna Transaction Service Suite (ArjunaTS) and
Arjuna's Web Services Transaction implementation, the market's only
implementation supporting both leading web services specifications
Web Services Transaction (WS-TX) and Web Services Composite Application
Framework (WS-CAF)

%if %with repolib
%package repolib
Summary:        Artifacts to be uploaded to a repository library
Group:          Development/Libraries/Java

%description repolib
Artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio.
%endif

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
%{summary}.

%prep
%setup -q -n %{fulltag}

%patch4 -p1
%patch8 -p1
%patch5 -p1
%patch6 -p1
%patch9 -p1
%patch11 -p1

# Specify target 1.6 for all compilations
perl -p -i -e 's/<javac/<javac source="1.6" target="1.6"/' `find . -name '*build*.xml' -print`

# FIXME remove classes12.jar which is Oracle's proprietary
# FIXME Where do we get this Arjuna's TestingFramework.jar ?
find . -name "*.jar" \
       -not -name "classes12.jar" \
       -not -name "orson-0.5.0.jar" \
       -not -name "TestingFramework.jar" \
       -exec rm {} \;

sed -i -e "s|<url>__JPP_URL_PLACEHOLDER__</url>|<url>file://`pwd`/m2_repo/repository</url>|g" %{SOURCE2}
sed -i -e "s|<url>__JAVADIR_PLACEHOLDER__</url>|<url>file://`pwd`/external_repo</url>|g" %{SOURCE2}
sed -i -e "s|<url>__MAVENREPO_DIR_PLACEHOLDER__</url>|<url>file://`pwd`/m2_repo/repository</url>|g" %{SOURCE2}
sed -i -e "s|<url>__MAVENDIR_PLUGIN_PLACEHOLDER__</url>|<url>file:///usr/share/maven2/plugins</url>|g" %{SOURCE2}
sed -i -e "s|<url>__ECLIPSEDIR_PLUGIN_PLACEHOLDER__</url>|<url>file:///usr/share/eclipse/plugins</url>|g" %{SOURCE2}

cp -p %{SOURCE2} maven/settings.xml
cp -p %{SOURCE3} maven/jbossts-jpp-depmap.xml
cp -p %{SOURCE2} txbridge/tests/settings.xml
cp -p %{SOURCE3} txbridge/tests/jbossts-jpp-depmap.xml

mkdir external_repo
ln -s %{_javadir} external_repo/JPP

# NEEDED! ant-contrib was a binary in src tar ball / use patch otherwise
ln -s $( build-classpath ant-contrib) antbuildsystem/ant-contrib-1.0b3.jar

%if %with jts
pushd ArjunaJTS/jacorb/lib
build-jar-repository . tanukiwrapper
build-jar-repository . antlr
build-jar-repository . avalon-framework
build-jar-repository . avalon-logkit
ln -s $(build-classpath jacorb-jboss/jacorb) jacorb.jar
ln -s $(build-classpath jacorb-jboss/idl) idl.jar
build-jar-repository . concurrent
popd
%endif

%patch0 -p1
#The generation of unique identifiers for objects such as transactions 
# relies on the host's networking being correctly configured.
# So, disable these tests as they fail in brew
%patch1 -p0

sed -i 's/@VERSION@/%{namedversion}-brew/g' %{SOURCE1}
tag=`echo %{name}-%{version}-%{release} | sed 's|\.|_|g'`
sed -i "s/@TAG@/$tag/g" %{SOURCE1}

%build
export JBOSS_HOME=%{_datadir}/jbossas
export M2SETTINGS=maven/settings.xml
export MAVEN_REPO_LOCAL=$(pwd)/m2_repo/repository
export MAVEN_REPO_EXTERNAL=$(pwd)/external_repo/JPP

mvn-jpp -Ds=${M2SETTINGS} install:install-file -DgroupId=org.jboss.integration -DartifactId=jboss-corba-ots-spi -Dversion=6.0.0.CR1 -Dpackaging=jar -Dfile=%{SOURCE9} -DpomFile=%{SOURCE16} -DlocalRepositoryPath=${MAVEN_REPO_LOCAL}
mvn-jpp -Ds=${M2SETTINGS} install:install-file -DgroupId=org.jboss.jbossas -DartifactId=jboss-server-manager -Dversion=1.0.4.Final -Dpackaging=jar -Dfile=%{SOURCE10} -DpomFile=%{SOURCE17} -DlocalRepositoryPath=${MAVEN_REPO_LOCAL}
mvn-jpp -Ds=${M2SETTINGS} install:install-file -DgroupId=org.jboss.integration -DartifactId=jboss-integration-parent -Dversion=6.0.0.CR1 -Dpackaging=pom -Dfile=%{SOURCE18} -DlocalRepositoryPath=${MAVEN_REPO_LOCAL}
mvn-jpp -Ds=${M2SETTINGS} install:install-file -DgroupId=jboss.profiler.jvmti -DartifactId=jboss-profiler-jvmti -Dversion=1.0.0.CR5 -Dpackaging=jar -Dfile=%{SOURCE20} -DlocalRepositoryPath=${MAVEN_REPO_LOCAL}
mvn-jpp -Ds=${M2SETTINGS} install:install-file -DgroupId=jboss.profiler.jvmti -DartifactId=jboss-profiler-jvmti -Dversion=1.0.0.CR5 -Dpackaging=pom -Dfile=%{SOURCE21} -DlocalRepositoryPath=${MAVEN_REPO_LOCAL}

pushd ..
TS_WORKDIR=`pwd`
popd

%{ant}  -Dant.library.dir=%{_javadir} \
        -f build-release-pkgs.xml \
        -Dworkdir=$TS_WORKDIR \
        -Djavac.debug=true \
        -Dpublican=false \
        -Ds=${M2SETTINGS} \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        -Dmaven.repo.external=$MAVEN_REPO_EXTERNAL \
        -Dmvn.repo.url=http://download.lab.bos.redhat.com/brewroot/repos/jb-eap-6-rhel-6-build/latest/maven \
        dist

# POMs: <jhalliday> fnasser_home: build-release-pkgs.xml mvn-repository target generates them on the fly.
%{ant} -Dant.library.dir=%{_javadir} \
        -f build-release-pkgs.xml \
        -Dworkdir=$TS_WORKDIR \
        -Dmvn.repo.url=file:///$TS_WORKDIR/maven2-brew \
        -Djavac.debug=true \
        mvn-repository

%install
rm -rf %{buildroot}

# The actual build is made in a copy produced by expanding the ZIPs created
# from the sources, so they are at:
pushd ../build/%{fulltag}

# jars
install -d -m 0755 %{buildroot}%{_javadir}
install -d -m 0755 %{buildroot}%{_javadir}/%{name}
install -p -m 0644 lib/jbossjts.jar %{buildroot}%{_javadir}/%{name}/jbossjts-%{namedversion}.jar
%add_to_maven_depmap jboss.jbossts jbossjts %{namedversion} JPP/%{name} jbossjts
install -p -m 0644 lib/jbossjts-integration.jar %{buildroot}%{_javadir}/%{name}/jbossjts-integration-%{namedversion}.jar
%add_to_maven_depmap jboss.jbossts jbossjts-integration %{namedversion} JPP/%{name} jbossjts-integration
##install -p -m 0644 install/bin/jbossts-tools.sar %{buildroot}%{_javadir}/%{name}/jbossts-tools.sar
%add_to_maven_depmap jboss.jbossts jbossts-tools %{namedversion} JPP/%{name} jbossts-tools
install -p -m 0644 txbridge/jbosstxbridge.jar %{buildroot}%{_javadir}/%{name}/jbosstxbridge-%{namedversion}.jar
%add_to_maven_depmap jboss.jbossts jbosstxbridge %{namedversion} JPP/%{name} jbosstxbridge
install -p -m 0644 xts/lib/jbossxts.jar %{buildroot}%{_javadir}/%{name}/jbossxts-%{namedversion}.jar
%add_to_maven_depmap jboss.jbossts jbossxts %{namedversion} JPP/%{name} jbossxts
install -p -m 0644 xts/lib/jbossxts-api.jar %{buildroot}%{_javadir}/%{name}/jbossxts-api-%{namedversion}.jar

# poms
install -d -m 755 %{buildroot}%{_datadir}/maven2/poms
cp -p ../../maven2-brew/org/jboss/jbossts/*/%{namedversion}/*%{namedversion}.pom %{buildroot}%{_datadir}/maven2/poms/
#remove the version in the name of the poms
(cd %{buildroot}%{_datadir}/maven2/poms && for p in *-%{version}*.pom; do mv $p `echo $p | sed "s|-%{namedversion}||g"`; done)
(cd %{buildroot}%{_datadir}/maven2/poms && for p in *.pom; do mv $p `echo JPP-$p`; done)

#if 0
# FIXME: We need to find the two different properties,
# the one for JTA and the one for JTS
# For now, we just copy the resources.jar produced by mvn-repository
# used for the repolib maven contents creation
# resources jar
mkdir -p tmp/resources
pushd tmp
install -p -m 0644 ../etc/jbossts-properties.xml resources/jbossts-properties.xml-forJTA
install -p -m 0644 ../etc/jbossts-properties.xml resources/jbossts-properties.xml-forJTS
%{jar} -cf jbossts-resources-%{namedversion}.jar resources 
install -p -m 0644 jbossts-resources-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/resources-%{namedversion}.jar
popd
rm -Rf tmp
%add_to_maven_depmap jboss.jbossts resources %{namedversion} JPP/%{name} resources
#endif

# javadoc
install -d -m 755 %{buildroot}%{_javadocdir}/%{name}-%{version}
cp -pr htdocs/* %{buildroot}%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} %{buildroot}%{_javadocdir}/%{name}

popd

%if %with repolib
pushd ..
TS_WORKDIR=`pwd`
popd

mkdir -p %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew
cp -pr $TS_WORKDIR/maven2-brew/* %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew
%endif

(cd %{buildroot}%{_javadir}/%{name} && for jar in *-%{namedversion}*; do ln -s ${jar} `echo $jar | sed "s|-%{namedversion}||g"`; done)

%clean
rm -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%dir %{_javadir}*/%{name}
%exclude %dir %{_javadocdir}/%{name}
%{_javadir}*/%{name}/jbossjts-%{namedversion}.jar
%{_javadir}*/%{name}/jbossjts.jar
%{_javadir}*/%{name}/jbossjts-integration-%{namedversion}.jar
%{_javadir}*/%{name}/jbossjts-integration.jar
#%{_javadir}*/%{name}/jbossts-tools.sar
%{_javadir}*/%{name}/jbossxts-%{namedversion}.jar
%{_javadir}*/%{name}/jbossxts.jar
%{_javadir}*/%{name}/jbossxts-api-%{namedversion}.jar
%{_javadir}*/%{name}/jbossxts-api.jar
%{_javadir}*/%{name}/jbosstxbridge-%{namedversion}.jar
%{_javadir}*/%{name}/jbosstxbridge.jar
%{_javadir}*/%{name}/resources-%{namedversion}.jar
%{_javadir}*/%{name}/resources.jar
%{_datadir}/maven2/poms/JPP-*.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}

%if %with repolib
%files repolib
%defattr(0644,root,root,0755)
%dir %{_javadir}*
%exclude %dir %{_javadocdir}
%{_javadir}*/repository.jboss.com
%endif

%changelog
* Fri Jun 15 2012 David Walluck <dwalluck@redhat.com> 1:4.16.4-2
- add depmap for tanukisoft:wrapper:jar:3.2.3-redhat-1 (RHEL-5-specific)
- remove old-style repolib
- remove javadocdir from main pkg
- fix dir ownership in repolib pkg

* Wed May 02 2012 Martha Benitez <mbenitez@redhat.com> - 1:4.16.4-1.Final
- Upgrade to 4.16.4.Final-redhat-1
- Add BR byteman to remove source binaries
- Add BR maven-clean-plugin

* Fri Mar 30 2012 Martha Benitez <mbenitez@redhat.com> - 1:4.16.2-1.Final.3
- Fix Release

* Mon Mar 26 2012 Fernando Nasser <fnasser@redhat.com> - 1:4.16.2-1.Final.2.1
- Rebuild using cache signing

* Wed Feb 22 2012 Martha Benitez <mbenitez@redhat.com> - 1:4.16.2-1.Final.2
- Remove BR jboss-profiler

* Fri Feb 17 2012 Martha Benitez <mbenitez@redhat.com> - 1:4.16.2-1.Final.1
- Upgrade to 4.16.2.Final

* Wed Jan 25 2012 Martha Benitez <mbenitez@redhat.com> - 1:4.16.0-1.Final.5
- Use BR jboss-component-management for boms
- Disable publican from build instead of patching scripts (change -disable-tests.patch)
- Use maven for dependency management

* Tue Jan 10 2012 Martha Benitez <mbenitez@redhat.com> - 1:4.16.0-1.Final.4
- Add BR jboss-logging-tools

* Mon Jan 09 2012 Martha Benitez <mbenitez@redhat.com> - 1:4.16.0-1.Final.3
- Fix reltag

* Mon Jan 09 2012 Martha Benitez <mbenitez@redhat.com> - 1:4.16.0-1.Final.2
- Rebuild

* Wed Jan 04 2012 Martha Benitez <mbenitez@redhat.com> - 1:4.16.0-1.Final
- Upgrade to 4.16.0.Final
- Add BR jboss-profiler, jboss-transaction-spi, rhq, hibernate3-commons-annotations

* Tue Oct 25 2011 Martha Benitez <mbenitez@redhat.com> - 1:4.15.3-1.1
- Upgrade to 4.15.3.Final
- Add BR ant-contrib, glassfish-jaxb, msv, xsdlib
- Remove BR jbossas, jboss-integration

* Tue Mar 08 2011 Martha Benitez <mbenitez@redhat.com> - 1:4.6.1-10.CP11_patch_01.3
- Rebuild

* Tue Mar 08 2011 Martha Benitez <mbenitez@redhat.com> - 1:4.6.1-10.CP11_patch_01.2
- Rebuild

* Tue Mar 08 2011 Martha Benitez <mbenitez@redhat.com> - 1:4.6.1-10.CP11_patch_01.1
- Upgrade to 4.6.1.GA_CP11-patch-01

* Tue Mar 01 2011 Martha Benitez <mbenitez@redhat.com> - 1:4.6.1-9.CP11.2
- Rebuild

* Mon Feb 28 2011 Martha Benitez <mbenitez@redhat.com> - 1:4.6.1-9.CP11.1
- Upgrade to 4.6.1.CP11
- Add patch to use jaxrpc from jboss-jaxrpc-api_1.1_spec

- Add patches to use Service instead of deprecated Service21 class

* Wed Feb 16 2011 Martha Benitez <mbenitez@redhat.com> - 1:4.6.1-8.CP10.1
- Upgrade to 4.6.1.CP10

* Thu Jan 27 2011 Martha Benitez <mbenitez@redhat.com> - 1:4.6.1-7.CP09.1
- Upgrade to 4.6.1.CP09

* Thu Jan 20 2011 Martha Benitez <mbenitez@redhat.com> - 1:4.6.1-6.CP08.2
- Rebuild for MEAD

* Mon Dec 13 2010 Martha Benitez <mbenitez@redhat.com> - 1:4.6.1-6.CP08.1
- Upgrade to 4.6.1.CP08
- Comment BR picocontainer

* Mon Aug 16 2010 Yiqiao Wang <yiwang@redhat.com> 1:4.6.1-5.CP07.1
- Upgrade to 4.6.1.CP07

* Tue Aug 10 2010 David Walluck <dwalluck@redhat.com> 1:4.6.1-4.CP06.2
- remove extra resources depmap call

* Thu Jul 22 2010 Permaine Cheung <pcheung@redhat.com> - 1:4.6.1-4.CP06.1
- Upgrade to 4.6.1.CP06

* Tue Jun 01 2010 Permaine Cheung <pcheung@redhat.com> - 1:4.6.1-3.CP05.6
- Fix add_to_maven_depmap to include the reltag for all artifacts

* Tue Jun 01 2010 Permaine Cheung <pcheung@redhat.com> - 1:4.6.1-3.CP05.5
- Fix add_to_maven_depmap to include the reltag

* Tue Jun 01 2010 Permaine Cheung <pcheung@redhat.com> - 1:4.6.1-3.CP05.4
- Fix repolib

* Fri May 28 2010 Permaine Cheung <pcheung@redhat.com> - 1:4.6.1-3.CP05.3
- Add resources.jar to repolib

* Fri May 28 2010 Permaine Cheung <pcheung@redhat.com> - 1:4.6.1-3.CP05.2
- Add sar and tests.zip to repolib

* Thu May 27 2010 Martha Benitez <mbenitez@redhat.com> - 1:4.6.1-3.CP05.1
- Upgrade to 4.6.1.CP05
- Remove ReaperTestCase*.java from the build

* Fri May 07 2010 Martha Benitez <mbenitez@redhat.com> - 1:4.6.1-2.CP04.5.1
- rebuilt

* Wed Apr 7 2010 Luiz Barreiros <gbarreir@redhat.com> 1:4.6.1-2.CP04.5
- Rebuild

* Tue Mar 02 2010 David Walluck <dwalluck@redhat.com> 1:4.6.1-2.CP04.4
- resource jar version differs between RHEL-4 and RHEL-5

* Fri Feb 26 2010 David Walluck <dwalluck@redhat.com> 1:4.6.1-2.CP04.3
- update License
- fix options
- fix file permissions
- own %%{_javadir}/%%{name}
- don't mark javadoc as %%ghost
- remove javadoc scriptlets
- maven post(un) scriptlets were in javadoc package
- add Requires post(un) on jpackage-utils
- fix repolib file ownership
- fix repolib permissions

* Tue Feb 09 2010 Fernando Nasser <fnasser@redhat.com> - 1:4.6.1-2.CP04.2
- Fix resources.jar in main package to contain both forJTA and forJTS properties

* Tue Jan 26 2010 Martha Benitez <mbenitez@redhat.com> - 1:4.6.1-2.CP04.1
- Upgrade to CP04

* Fri Sep 11 2009 Fernando Nasser <fnasser@redhat.com> - 1:4.6.1-1.CP03.3
- Create resources.jar

* Fri Sep 11 2009 Fernando Nasser <fnasser@redhat.com> - 1:4.6.1-1.CP03.2
- Fix depmap fragments

* Thu Sep 10 2009 Fernando Nasser <fnasser@redhat.com> - 1:4.6.1-1.CP03.1
- Upgrade to CP03

* Thu Sep 10 2009 Fernando Nasser <fnasser@redhat.com> - 1:4.6.1-1.CP02.5
- Add depmap fragments
- Install SAR files in main package

* Sat Aug 15 2009 Fernando Nasser <fnasser@redhat.com> - 1:4.6.1-1.CP02.4
- Change location of maven contents in repolib
- Update component-info to new jar names

* Sat Aug 15 2009 Fernando Nasser <fnasser@redhat.com> - 1:4.6.1-1.CP02.3
- Add POMs

* Fri Aug 14 2009 Fernando Nasser <fnasser@redhat.com> - 1:4.6.1-1.CP02.2
- Build complete set of files

* Fri Aug 14 2009 Fernando Nasser <fnasser@redhat.com> - 1:4.6.1-1.CP02.1
- Upgrade to CP02

* Mon Aug 10 2009 Fernando Nasser <fnasser@redhat.com> - 1:4.6.1-1.CP01.2
- Build with the tip of the CP branch which builds with Java 6

* Sat Aug 08 2009 Fernando Nasser <fnasser@redhat.com> - 1:4.6.1-1.CP01.1
- Upgrade to 4.6.1.GA_CP01
- Build with JDK6 for Java 5

* Tue May 19 2009 Permaine Cheung <pcheung@redhat.com> - 1:4.2.3-1.SP5_CP05.1jpp.ep1.1
- Upgrade to JBOSSTS_4_2_3_SP5_CP05

* Thu Jan 29 2009 Permaine Cheung <pcheung@redhat.com> - 1:4.2.3-1.SP5_CP04.1jpp.ep1.1
- Upgrade to JBOSSTS_4_2_3_SP5_CP04

* Wed Jan 07 2009 Permaine Cheung <pcheung@redhat.com> - 1:4.2.3-1.SP5_CP03.1jpp.ep1.1
- Upgrade to JBOSSTS_4_2_3_SP5_CP03

* Fri Jul 25 2008 Fernando Nasser <fnasser@redhat.com> - 1:4.2.3-1.SP5_CP02.1jpp.ep1.2
- Fix dist tag syntax

* Tue Jun 24 2008 Permaine Cheung <pcheung@redhat.com> - 1:4.2.3-1.SP5_CP02.1jpp.ep1.1
- Upgrade to JBOSSTS_4_2_3_SP5_CP02

* Wed Mar 26 2008 Fernando Nasser <fnasser@redhat.com> - 1:4.2.3-1.SP5_CP01.1jpp.ep1.1
- Upgrade to JBOSSTS_4_2_3_SP5_CP01
- Patch for newer JFreeChart
- Bump Epoch so new release format is newer

* Fri Jul 27 2007 Fernando Nasser <fnasser@redhat.com> - 0:4.2.3-1.SP5.1jpp.ep1.1
- Use new release format for post-releases
- Rebuild with target = 1.4

* Tue Jun 19 2007 Fernando Nasser <fnasser@redhat.com> - 0:4.2.3.5-1jpp.ep1.1
- Add repolib subpackage

* Tue Jun 19 2007 Fernando Nasser <fnasser@redhat.com> - 0:4.2.3.5-1jpp
- First JPP release
